VisualEditor: On Chrome, new relocatable node does not work
Closed, ResolvedPublic

Description

https://www.mediawiki.org/wiki/VisualEditor:Test1234?veaction=edit

Dragging the image on this page on Chrome Version 35.0.1916.153 on Mac OSX 10.9.3 does not relocate the image. The "shadow" and magic line appear as expected, but when the click is released the image does not move.

The entire interaction works properly for me on latest Firefox.


Version: unspecified
Severity: major
OS: Mac OS X 10.9
Platform: Macintosh

bzimport set Reference to bz67040.
Trevor-at-Wikia created this task.Via LegacyJun 24 2014, 6:00 PM
bzimport added a comment.Via ConduitJun 24 2014, 6:19 PM

kirkburn wrote:

https://www.mediawiki.org/wiki/VisualEditor:Test1234?veaction=edit

Similarly, the interaction is not working for me on Chrome 35.0.1916.153 m on Windows 8.1 - I see the shadow and magic line, but nothing happens on mouseup.

However, unlike Trevor, it is also not working for me in pre-release Firefox - on Firefox Aurora 32.0a2 (19-06-14), on Windows 8.1. No effect on mouseup.

Catrope added a comment.Via ConduitJun 24 2014, 7:58 PM

Works for me in Chrome 34 but broken for me in Firefox 30 (both on Ubuntu 14.04)

Trevor-at-Wikia added a comment.Via ConduitJun 24 2014, 8:05 PM

Update to my earlier comment. It's working for me on Firefox 30, Mac OSX 10.9.3

gerritbot added a comment.Via ConduitJun 25 2014, 12:40 PM

Change 141949 had a related patch set uploaded by Esanders:
Cache block drop position data before setTimeout

https://gerrit.wikimedia.org/r/141949

gerritbot added a comment.Via ConduitJun 25 2014, 6:16 PM

Change 141949 merged by jenkins-bot:
Cache block drop position data before setTimeout

https://gerrit.wikimedia.org/r/141949

Ryasmeen added a comment.Via ConduitJun 27 2014, 10:56 PM

Verified the fix in test2

Add Comment